com.r3corda.node.services.config / NodeSSLConfiguration

# NodeSSLConfiguration

`interface NodeSSLConfiguration`

### Properties

certificatesPath | `abstract val certificatesPath: Path`
keyStorePassword | `abstract val keyStorePassword: String`
keyStorePath | `open val keyStorePath: Path`
trustStorePassword | `abstract val trustStorePassword: String`
trustStorePath | `open val trustStorePath: Path`

### Extension Functions

configureWithDevSSLCertificate | `fun NodeSSLConfiguration.configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.

### Inheritors

NodeConfiguration | `interface NodeConfiguration : NodeSSLConfiguration`